/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.novabpm.identity;

import java.util.Collection;

/**
 * This MBean concrete implementation is backed by an {@link IdentityServiceOp}
 * concrete implementation.
 * 
 * @see IdentityServiceOp
 * @author "Pierre Vigneras"
 * @date Dec 6, 2007
 */
public interface IdentityServiceMBean {

  String createGroup();

  String createGroup(String parentId);

  GroupOp getGroup(String id) throws GroupNotFoundException;

  String createUser();

  UserOp getUser(String id) throws UserNotFoundException;

  Collection<String> getAllGroups();

  Collection<String> getAllUsers();

  void setMembership(String user, String group);

  /**
   * Get the concrete {@link IdentityServiceOp} implementation class name.
   * 
   * @return the concrete {@link IdentityServiceOp} implementation class name.
   */
  String getImplName();
}
