/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.novabpm.identity;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.ow2.novabpm.identity.impl.GroupImplTest;
import org.ow2.novabpm.identity.impl.InMemoryIdentityServiceTest;
import org.ow2.novabpm.identity.impl.PlainIdentityServiceTest;
import org.ow2.novabpm.identity.impl.SerializedIdentityServiceTest;
import org.ow2.novabpm.identity.impl.UserImplTest;
import org.ow2.novabpm.identity.impl.XMLIdentityServiceTest;

/**
 * @author "Pierre Vigneras"
 * @date Nov 27, 2007
 */
public class IdentityTests extends TestCase {

	public static Test suite() {
		 TestSuite suite = new TestSuite(IdentityTests.class.getPackage().getName());
		 suite.addTestSuite(GroupImplTest.class);
		 suite.addTestSuite(UserImplTest.class);
		 suite.addTestSuite(InMemoryIdentityServiceTest.class);
		 suite.addTestSuite(SerializedIdentityServiceTest.class);
		 suite.addTestSuite(PlainIdentityServiceTest.class);
		 suite.addTestSuite(XMLIdentityServiceTest.class);
		 return suite;
	}
}
